%define        gemdir   %(ruby -rrubygems -e'puts Gem.default_dir')
%define        gemname  %(echo %{name} | sed "s|^ruby-||")
Name:          ruby-asciidoctor
Version:       2.0.23
Release:       1mamba
Summary:       An implementation of AsciiDoc in Ruby
Group:         Applications/Publishing
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://asciidoctor.org
Source:        https://rubygems.org/downloads/asciidoctor-%{version}.gem
License:       MIT
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: ruby-devel >= 3.2
Requires:      ruby >= %{ruby_version}
Provides:      asciidoctor

%description
An implementation of AsciiDoc in Ruby.

#% debug_package

%prep
%setup -q -c -a0

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
gem install --no-user-install --ignore-dependencies -i "%{buildroot}%{gemdir}" \
   -n "%{buildroot}%{_bindir}" "%{SOURCE0}"

install -D -m0644 %{gemname}-%{version}/man/asciidoctor.1 %{buildroot}%{_mandir}/man1/asciidoctor.1

rm %{buildroot}%{gemdir}/cache/%{gemname}-%{version}.gem
rm -rf %{buildroot}%{gemdir}/gems/%{gemname}-%{version}/man
rm -rf %{buildroot}%{gemdir}/doc/%{gemname}-%{version}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/asciidoctor
%dir %{gemdir}/gems/%{gemname}-%{version}
%{gemdir}/gems/%{gemname}-%{version}/*
%{gemdir}/specifications/%{gemname}-%{version}.gemspec
%{_libdir}/ruby/gems/*/gems/%{gemname}-%{version}/.yardopts
%{_mandir}/man1/asciidoctor.1*
%doc %{gemname}-%{version}/LICENSE

%changelog
* Sat May 18 2024 Automatic Build System <autodist@openmamba.org> 2.0.23-1mamba
- automatic version update by autodist

* Fri Mar 08 2024 Automatic Build System <autodist@openmamba.org> 2.0.22-1mamba
- automatic version update by autodist

* Wed Feb 21 2024 Automatic Build System <autodist@openmamba.org> 2.0.21-1mamba
- automatic version update by autodist

* Thu May 18 2023 Automatic Build System <autodist@mambasoft.it> 2.0.20-1mamba
- automatic version update by autodist

* Wed Jan 11 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.18-3mamba
- rebuilt with ruby 3.2.0

* Mon Oct 17 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.18-2mamba
- fix duplicated files packaged with different paths causing an installation error

* Sun Oct 16 2022 Automatic Build System <autodist@mambasoft.it> 2.0.18-1mamba
- automatic version update by autodist

* Thu Jan 06 2022 Automatic Build System <autodist@mambasoft.it> 2.0.17-1mamba
- automatic version update by autodist

* Wed Aug 04 2021 Automatic Build System <autodist@mambasoft.it> 2.0.16-1mamba
- automatic version update by autodist

* Sat Jun 19 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.15-1mamba
- package created using the webbuild interface
